%define realname flickr-sharp
%define ver_major 2.1
%def_enable doc

Summary: Flickr.Net Library for accessing the Flickr API
Name: lib%{realname}
Version: %ver_major.5
Release: alt2
License: X11/MIT
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
Url: http://www.codeplex.com/FlickrNet
Source: %realname-%version.tar.bz2

BuildRequires: glib2-devel intltool mono-mcs monodoc
BuildRequires: mono-nunit mono-data mono-mscorlib mono-web
BuildRequires: rpm-build-mono 
BuildRequires: /proc

%description
The Flickr.Net API is a .Net Library for accessing the Flickr API.
Written entirely in C# it can be accessed from with any .Net language in .Net Framework 1.1,
.Net Framework 2.0, .Net Compact Framework 2.0 and Mono.

%if_enabled doc
%package doc
Summary: Mono's documentation for Flickr.NET API.
Group: Development/Other
Requires: monodoc
BuildRequires: monodoc

%description doc
The flickr-sharp-doc package documentation for Flickr.NET API
%endif


%prep
%setup -n %realname-%version -q

%build
glib-gettextize --force --copy
intltoolize --force --copy --automake
aclocal
autoconf
automake --add-missing --gnu
%configure --disable-static
%make

%install
%make_install install DESTDIR=%buildroot
rm -f %buildroot%_monodir/%realname/%realname.*
gacutil -i build/flickr-sharp.dll -root %buildroot/usr/lib
dll=$(find %buildroot/usr/lib -type f -iname flickr-sharp.dll | sed -e "s,%buildroot,,g")
ln -sf $dll %buildroot%_monodir/%realname/flickr-sharp.dll


%files
%doc README NEWS AUTHORS COPYING ChangeLog
%_monodir/%realname
%_pkgconfigdir/*
%_monogacdir/*

%if_enabled doc
%files doc
%_monodocdir/*
%endif


%changelog
* Tue Apr 01 2008 Alexey Shabalin <shaba@altlinux.ru> 2.1.5-alt2
- updated BuildRequires (fix build)

* Tue Jan 15 2008 Alexey Shabalin <shaba@altlinux.ru> 2.1.5-alt1
- Inital release for ALTLinux
